/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"utils.h"
#include	"v.h"

int fontsize = 12;
/*
void
v_get_font(
	VFONT *		vf,
	VDISPLAY * 	d,
	char * 		fontname)
{
char ** fonts;
HFONT fs;
char * byte_font,* word_font;
char * ret;
int i,cnt;

	return;

	fonts = XListFonts(d->d,fontname,50,&cnt);
	if ( fonts == 0 )
		return;
	byte_font = word_font = 0;
	for ( i = 0 ; i < cnt ; i ++ ) {
		fs = XLoadQueryFont(d->d,fonts[i]);
		if ( fs == 0 )
			continue;
		if ( fs->min_byte1 == 0 && fs->max_byte1 == 0 ) {
			byte_font = fonts[i];
			break;
		}
		else {
			word_font = fonts[i];
			break;
		}
		XFreeFont(d->d,fs);
	}
	if ( word_font ) {
		vf->fontname = copy_str(word_font);
	}
	else if ( byte_font ) {
		vf->fontname = copy_str(byte_font);
	}
	else {
		vf->fontname = 0;
		vf->fs = 0;
		XFreeFontNames(fonts);
		return;
	}
printf("fontname = %s\n",vf->fontname);
	XFreeFontNames(fonts);
	vf->fs = fs;
	return;
	
}
*/